%define name dbus-sharp
%define version 0.7.0
%define release %mkrel 2
%define pkgname %name-1.0

Summary: Managed D-Bus implementation
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://github.com/downloads/mono/%name/%{name}-%{version}.tar.gz
License: MIT
Group: System/Libraries
Url: http://mono.github.com/dbus-sharp/
BuildRequires: mono-devel
BuildArch: noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%files
%doc README COPYING
%_prefix/lib/mono/%pkgname
%_prefix/lib/mono/gac/%name

#--------------------------------------------------------------------

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%files devel
%doc examples
%_datadir/pkgconfig/%pkgname.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
./configure --prefix=%_prefix
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 348654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 dmorgan <dmorgan> 0.7.0-1.mga2
+ Revision: 113470
- imported package dbus-sharp

